Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Static_Allocator< POOL_SIZE > Class Template Reference

Defines a class that provided a highly optimized memory management scheme for allocating memory statically. More...

`#include <Malloc_T.h>`

Inheritance diagram for ACE_Static_Allocator< POOL_SIZE >:

[legend]
Collaboration diagram for ACE_Static_Allocator< POOL_SIZE >:

[legend]
List of all members.

## Public Member Functions
| ACE_Static_Allocator (void)
## Private Attributes
char | pool_ [POOL_SIZE]
| Pool contents.

## Detailed Description

### template<size_t POOL_SIZE>
class ACE_Static_Allocator< POOL_SIZE >

Defines a class that provided a highly optimized memory management scheme for allocating memory statically.

This class allocates a fixed-size `POOL_SIZE` of memory and uses the ACE_Static_Allocator_Base class implementations of malloc() and calloc() to optimize memory allocation from this pool.

## Constructor & Destructor Documentation

template<size_t POOL_SIZE>
ACE_Static_Allocator< POOL_SIZE >::ACE_Static_Allocator | ( | void |  | ) | `[inline]`

## Member Data Documentation

template<size_t POOL_SIZE>
char ACE_Static_Allocator< POOL_SIZE >::pool_[POOL_SIZE]`[private]`

| Pool contents.

The documentation for this class was generated from the following file:

- Malloc_T.h